<?php
// 设置JSON文件路径
$jsonFile = __DIR__ . '/图库.json';

// 检查文件是否存在
if (!file_exists($jsonFile)) {
    http_response_code(404);
    header('Content-Type: application/json');
    echo json_encode(['error' => 'File not found']);
    exit;
}

// 检查文件是否可读
if (!is_readable($jsonFile)) {
    http_response_code(500);
    header('Content-Type: application/json');
    echo json_encode(['error' => 'File not readable']);
    exit;
}

// 设置JSON头并输出文件内容
header('Content-Type: application/json');
readfile($jsonFile);
exit;
